Page MenuHomePhabricator

Enable Bulgarian, Macedonian, Serbo-Croatian and Slovenian on beta-labs with Apertium support and enable on the Wikipedias
Closed, ResolvedPublic1 Story Points

Description

As part of CEE request, please enable the following language pairs with Apertium support on beta-labs:

Macedonian <-> Bulgarian
Macedonian <-> Serbo-Croatian
Serbo-Croatian <-> Slovenian
English -> Serbo-Croatian

For the following, please enable without MT support:

English -> Bulgarian
English -> Macedonian
English -> Slovenian

Details

Related Gerrit Patches:
operations/puppet : productionCX: Enable ContentTranslation for bg, fr, mk, sh, sl pairs
operations/mediawiki-config : masterEnable ContentTranslation in bg, fr, mk, sh and sl
mediawiki/services/cxserver : masterconfig: Add languages and MT support
operations/debs/contenttranslation/apertium-hbs-mkd : masterAdded initial Debian packaging
operations/puppet : productionBeta: Enable Apertium MT for few languages in Beta
operations/debs/contenttranslation/apertium-hbs-slv : masterAdded initial Debian packaging
operations/debs/contenttranslation/apertium-mk-bg : masterAdded initial Debian packaging
operations/debs/contenttranslation/apertium-mk : masterAdded initial Debian packaging
operations/debs/contenttranslation/apertium-hbs : masterAdded initial Debian packaging

Event Timeline

Arrbee created this task.Feb 19 2015, 6:32 AM
Arrbee assigned this task to KartikMistry.
Arrbee raised the priority of this task from to High.
Arrbee updated the task description. (Show Details)
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 19 2015, 6:32 AM

Sent request to create repositories for 4 new apertium packages:

apertium-hbs-eng
apertium-hbs-mkd
apertium-hbs-slv
apertium-mk-bg

Arrbee edited projects, added LE-Sprint-83; removed LE-Sprint-82.Feb 24 2015, 7:35 AM
Arrbee set Security to None.
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-83 board.
Arrbee edited a custom field.Feb 25 2015, 5:46 AM

Change 195229 had a related patch set uploaded (by KartikMistry):
Added initial Debian packaging

https://gerrit.wikimedia.org/r/195229

Change 195232 had a related patch set uploaded (by KartikMistry):
Added initial Debian packaging

https://gerrit.wikimedia.org/r/195232

Change 195244 had a related patch set uploaded (by KartikMistry):
Added initial Debian packaging

https://gerrit.wikimedia.org/r/195244

Change 195264 had a related patch set uploaded (by KartikMistry):
Added initial Debian packaging

https://gerrit.wikimedia.org/r/195264

Change 195275 had a related patch set uploaded (by KartikMistry):
Added initial Debian packaging

https://gerrit.wikimedia.org/r/195275

Change 195284 had a related patch set uploaded (by KartikMistry):
Added initial Debian packaging

https://gerrit.wikimedia.org/r/195284

Arrbee edited projects, added LE-Sprint-84; removed LE-Sprint-83.Mar 10 2015, 8:59 AM

Change 195229 merged by Alexandros Kosiaris:
Added initial Debian packaging

https://gerrit.wikimedia.org/r/195229

Change 195244 merged by Alexandros Kosiaris:
Added initial Debian packaging

https://gerrit.wikimedia.org/r/195244

Change 195284 merged by Alexandros Kosiaris:
Added initial Debian packaging

https://gerrit.wikimedia.org/r/195284

Change 195275 merged by Alexandros Kosiaris:
Added initial Debian packaging

https://gerrit.wikimedia.org/r/195275

Change 198186 had a related patch set uploaded (by KartikMistry):
Beta: Enable Apertium MT for few languages in Beta

https://gerrit.wikimedia.org/r/198186

Change 198186 merged by Alexandros Kosiaris:
Beta: Enable Apertium MT for few languages in Beta

https://gerrit.wikimedia.org/r/198186

Change 199191 had a related patch set uploaded (by KartikMistry):
config: Add languages and MT support

https://gerrit.wikimedia.org/r/199191

Change 195264 merged by Alexandros Kosiaris:
Added initial Debian packaging

https://gerrit.wikimedia.org/r/195264

Change 199191 merged by jenkins-bot:
config: Add languages and MT support

https://gerrit.wikimedia.org/r/199191

Arrbee renamed this task from Enable Bulgarian, Macedonian, Serbo-Croatian and Slovenian on beta-labs with Apertium support to Enable Bulgarian, Macedonian, Serbo-Croatian and Slovenian on beta-labs with Apertium support and enable on the Wikipedias.Mar 30 2015, 10:32 AM
Arrbee added a project: Roadmap.
Restricted Application added a project: Notice. · View Herald TranscriptMar 30 2015, 10:32 AM
Arrbee moved this task from Unscheduled to March 30-April 3 on the Roadmap board.Mar 30 2015, 10:33 AM

Change 200531 had a related patch set uploaded (by KartikMistry):
Enable ContentTranslation in bg, fr, mk, sl and sv

https://gerrit.wikimedia.org/r/200531

Change 200533 had a related patch set uploaded (by KartikMistry):
CX: Enable ContentTranslation for bg, fr, mk, sh, sl pairs

https://gerrit.wikimedia.org/r/200533

gpaumier moved this task from Backlog to Triaged on the Notice board.Mar 30 2015, 8:16 PM

Change 200531 merged by jenkins-bot:
Enable ContentTranslation in bg, fr, mk, sh and sl

https://gerrit.wikimedia.org/r/200531

Change 200533 merged by Filippo Giunchedi:
CX: Enable ContentTranslation for bg, fr, mk, sh, sl pairs

https://gerrit.wikimedia.org/r/200533

KartikMistry moved this task from In Review to Done on the LE-Sprint-84 board.Apr 1 2015, 2:44 AM
KartikMistry closed this task as Resolved.Apr 1 2015, 3:11 AM
gpaumier moved this task from Triaged to Archive on the Notice board.Apr 9 2015, 5:45 PM